cURL
curl --request GET \ --url https://api.projectdiscovery.io/v1/scans/{scan_id}/config \ --header 'X-API-Key: <api-key>'
{ "targets": [ "<string>" ], "assets_lists": [ "<string>" ], "public_templates": [ "<string>" ], "early_templates": [ "<string>" ], "template_urls": [ "<string>" ], "template_ids": [ "<string>" ], "scan_config_ids": [ { "id": "<string>", "name": "<string>", "config_type": "<string>", "provider_name": "<string>" } ], "report_config_ids": [ { "id": "<string>", "name": "<string>", "config_type": "<string>", "provider_name": "<string>" } ], "alerting_config_ids": [ { "id": "<string>", "name": "<string>", "config_type": "<string>", "provider_name": "<string>" } ], "enumeration_ids": [ { "id": "<string>", "name": "<string>", "enumeration_type": "<string>", "types": [ "hosts" ], "total_assets": 123, "cloudlist_provider_name": "<string>" } ], "socks5_proxy": "<string>", "agent_id": "<string>", "agent_tags": [ "<string>" ], "agent_networks": [ "<string>" ], "agent_behavior": "distribute", "scan_all_assets": true, "asset_filters": { "is_tech": true, "is_favicon": true, "is_new": true, "labels": "<string>", "host": "<string>", "port": "<string>", "status_code": "<string>", "content_length": "<string>", "title": "<string>", "domain": [ "<string>" ], "cname": "<string>", "technologies": "<string>", "ip": "<string>", "is_screenshot": true, "time": "last_day", "start_date": "2023-12-25", "end_date": "2023-12-25", "custom_filter": "<string>", "search": "<string>", "enumeration_ids": [ "<string>" ], "only_dns": true, "only_ip": true } }
Get scan metadata config
Retrieve the Team ID from: https://cloud.projectdiscovery.io/settings/team
OK
Show child attributes
distribute
mirror
Was this page helpful?